public inbox for gcc-patches@gcc.gnu.org
 help / color / mirror / Atom feed
* [PATCH] libstdc++: Add script to update docs for a new release branch
@ 2024-06-25 23:02 Jonathan Wakely
  2024-06-26 20:27 ` Jonathan Wakely
  0 siblings, 1 reply; 4+ messages in thread
From: Jonathan Wakely @ 2024-06-25 23:02 UTC (permalink / raw)
  To: libstdc++, gcc-patches

This script automates some updates that should be made when branching
from trunk. Putting them in a script makes it much easier and means I
won't forget what should be done.

Any suggestions for doing this differently?

Anything I've forgotten that should be added here?

We could add an entry to the lists of versions at
https://gcc.gnu.org/onlinedocs/libstdc++/manual/abi.html#abi.versioning.goals
but that should really be done when bumping the libtool version, not
when branching from trunk.

-- >8 --

This should be run on a release branch after branching from trunk.
Various links and references to trunk in the docs will be updated to
refer to the new release branch.

libstdc++-v3/ChangeLog:

	* scripts/update_release_branch.sh: New file.
---
 libstdc++-v3/scripts/update_release_branch.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100755 libstdc++-v3/scripts/update_release_branch.sh

diff --git a/libstdc++-v3/scripts/update_release_branch.sh b/libstdc++-v3/scripts/update_release_branch.sh
new file mode 100755
index 00000000000..f8109ed0ba3
--- /dev/null
+++ b/libstdc++-v3/scripts/update_release_branch.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# This should be run on a release branch after branching from trunk.
+# Various links and references to trunk in the docs will be updated to
+# refer to the new release branch.
+
+# The major version of the new release branch.
+major=$1
+(($major)) || { echo "$0: Integer argument expected" >& 2 ; exit 1; }
+
+# This assumes GNU sed
+sed -i "s@^mainline GCC, not in any particular major.\$@the GCC ${major} series.@" doc/xml/manual/status_cxx*.xml
+sed -i 's@https://gcc.gnu.org/cgit/gcc/tree/libstdc++-v3/testsuite/[^"]\+@&?h=releases%2Fgcc-'${major}@ doc/xml/manual/allocator.xml doc/xml/manual/mt_allocator.xml
+sed -i "s@https://gcc.gnu.org/onlinedocs/gcc/Invoking-GCC.html@https://gcc.gnu.org/onlinedocs/gcc-${major}.1.0/gcc/Invoking-GCC.html@" doc/xml/manual/using.xml
-- 
2.45.2


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-06-27  6:50 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-06-25 23:02 [PATCH] libstdc++: Add script to update docs for a new release branch Jonathan Wakely
2024-06-26 20:27 ` Jonathan Wakely
2024-06-27  4:04   ` Eric Gallager
2024-06-27  6:50     ` Jonathan Wakely

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).